package Random;
import java.util.Scanner;

public class Journey {

	static int Line(double[] p)
	{
		double u = LCG.Uniform();
		double sum = p[0];
		int res = 0;
		while (res < p.length-1 && sum < u)
		{
			++res;
			sum += p[res];
		}
		return res;
	}
	
	static int Sample(int from, double[][] m)
	{
		return Line(m[from]);
	}
	
	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
	    int n = scanner.nextInt();          // Anzahl Samples
	    int m = scanner.nextInt();          // Anzahl Positionen
	    double[][] p = new double[m][m];
	    for (int i = 0; i<m; ++i)
		    for (int j = 0; j<m; ++j)
		    	p[i][j] = scanner.nextDouble();
	    scanner.close();
	    int[] samples = new int[m];
	    int s = 0;
		for (int i = 0; i<n; ++i)
		{
			s = Sample(s,p);
			System.out.println(s);
			samples[s]++;
		}
		
		for (int i=0; i<m; ++i)
			System.out.print((double)samples[i]/n + " ");
		System.out.println();
		
	}

}
