package Random;
import java.util.Scanner;

public class UnfairDice {

	static int Sample(double[] p)
	{
		double u = LCG.Uniform();
		double sum = p[0];
		int res = 0;
		while (res < p.length-1 && sum < u)
		{
			++res;
			sum += p[res];
		}
		return res;
	}
	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
	    int n = scanner.nextInt();          // Anzahl Samples
	    int m = scanner.nextInt();          // Anzahl Seiten
	    double[] p = new double[m];
	    for (int i = 0; i<m; ++i)
	    	p[i] = scanner.nextDouble();
	    scanner.close();
	    int[] samples = new int[m];
		for (int i = 0; i<n; ++i)
		{
			int s = Sample(p);
			System.out.println(s);
			samples[s]++;
		}
		
		for (int i=0; i<m; ++i)
			System.out.print((double)samples[i]/n + " ");
		System.out.println();
		
	}

}
